# WikiPathways GET

Source: `R/utilities.R`
`wikipathwaysGET.Rd`

Constructs the query, makes GET call and processes the result

    wikipathwaysGET(
      operation,
      parameters = NULL,
      format = c("json", "xml", "html", "jpg", "pdf", "dump"),
      base.url = .baseUrl
    )

## Arguments

operation | A `character` string to be converted to the query namespace
parameters | A named `list` of values to be converted to query parameters
format | (`character`) The format of the return, e.g., json (default), xml, html, jpg, pdf, dump
base.url | (optional) Ignore unless you need to specify a custom domain.

## Value

query result content

## Examples

    {
    wikipathwaysGET('listOrganisms')
    }
    #> $organisms
    #>  [1] "Unspecified"                "Acetobacterium woodii"
    #>  [3] "Anopheles gambiae"          "Arabidopsis thaliana"
    #>  [5] "Bacillus subtilis"          "Beta vulgaris"
    #>  [7] "Bos taurus"                 "Caenorhabditis elegans"
    #>  [9] "Canis familiaris"           "Clostridium thermocellum"
    #> [11] "Danio rerio"                "Daphnia magna"
    #> [13] "Daphnia pulex"              "Drosophila melanogaster"
    #> [15] "Escherichia coli"           "Equus caballus"
    #> [17] "Gallus gallus"              "Glycine max"
    #> [19] "Gibberella zeae"            "Homo sapiens"
    #> [21] "Hordeum vulgare"            "Mus musculus"
    #> [23] "Mycobacterium tuberculosis" "Oryza sativa"
    #> [25] "Pan troglodytes"            "Populus trichocarpa"
    #> [27] "Rattus norvegicus"          "Saccharomyces cerevisiae"
    #> [29] "Solanum lycopersicum"       "Sus scrofa"
    #> [31] "Vitis vinifera"             "Xenopus tropicalis"
    #> [33] "Zea mays"                   "Plasmodium falciparum"
    #> [35] "Brassica napus"
    #>